QT -= gui

TEMPLATE = lib
DEFINES += TDENGINESUBSCRIBER_LIBRARY

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += ../../include

HEADERS += \
    ../../include/LibraryLoader.h \
    ../../include/Publisher.h
    #Redis.h

SOURCES += \
    TDengineSubscriber.cpp
    #Redis.cpp \

HEADERS += \
    TDengineSubscriber.h \
    TDengineSubscriber_global.h

TDENGINE_DIR =$$PWD/../../thirdparty/tdengine
LIBS += -L$${TDENGINE_DIR}/lib -ltaos
INCLUDEPATH += $${TDENGINE_DIR}/include
INCLUDEPATH += $$PWD/../../modules/TDengineClient
LIBS +=-L$$PWD/../../bin/plugins -lTDengineClient


# Default rules for deployment.
unix {
    target.path = /usr/lib
}else{
    DESTDIR = $$PWD/../../bin/plugins
}
!isEmpty(target.path): INSTALLS += target
